> ## Documentation Index
> Fetch the complete documentation index at: https://doc.evolution-api.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark Message As Unread

> Mark message as read



## OpenAPI

````yaml openapi-v2 POST /chat/markChatUnread/{instance}
openapi: 3.0.3
info:
  title: Evolution API
  version: 2.1.1
servers:
  - url: https://{server-url}
    variables:
      server-url:
        default: evolution-example
        description: The URL of your EvolutionAPI server
    description: Your instance domain
security: []
paths:
  /chat/markChatUnread/{instance}:
    post:
      tags:
        - Chat Controller
      summary: Mark Message As Unread
      description: Mark message as read
      operationId: markMessageAsRead
      parameters:
        - name: instance
          in: path
          required: true
          description: Name of the instance
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - lastMessage
                - chat
              properties:
                lastMessage:
                  type: array
                  description: Messages to be mark as unread
                  items:
                    type: object
                    properties:
                      remoteJid:
                        type: string
                        description: Chat contact or group remote JID
                      fromMe:
                        type: boolean
                        description: >-
                          If the message was sent by the instance owner or the
                          contact
                      id:
                        type: string
                        description: Message ID
                chat:
                  type: string
                  description: remoteJid here
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: A brief message describing the action performed.
                  read:
                    type: string
                    description: The status of the read action.
                example:
                  message: Read messages
                  read: success
      deprecated: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````